function graphPlotFnc(data, fileSettings, checkboxes, start, stop, yAxis, channels, path)
    
    %Iterate through all channels
    for channel = 1:width(data)
        
        %If Graph is checked
        if checkboxes{channel}.Value == 1

            %Convert start and ending time
            beginning = str2double(start{channel}.Value);
            ending = str2double(stop{channel}.Value);
    
            %if first row increment is not checked
            if fileSettings{2}.Value == 0
                [timeArray, yData] = timeAxisWithIncrement(data, fileSettings{3}.Value, beginning, ending, channel); 
            else
                %TO DO
            end

        
            %Plot the channel
            hold on
            figure(channel)
            plot(timeArray, yData);
            ylabel(yAxis{channel}.Value);
            xlabel('Time [s]');
            title(channels{channel});
            
            %Save plot
            saveFigs('graph', figure(channel), channels(channel), path, fileSettings{1}.Value)
            
            %reset
            hold off;
            close all;

        end
       
    end    

end

